Unable to install v0.10.0 from RPM

Hello,

When we try to install v0.10.0 of Opendistro we get a failure while installing with the following error message:

fatal: [127.0.0.1]: FAILED! => {"changed": true, "failed": true, "msg": "https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/opendistro-alerting-0.10.0.0.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
Trying other mirror.
https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/opendistro-performance-analyzer-0.10.0.0.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
Trying other mirror.
https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/opendistro-sql-0.10.0.0.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
Trying other mirror.
https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/opendistroforelasticsearch-0.10.0.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
Trying other mirror.
https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/opendistro-security-0.10.0.0.rpm: [Errno -1] Package does not match intended download. Suggestion: run yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
Trying other mirror.


Error downloading packages:
  opendistro-security-0.10.0.0-0.noarch: [Errno 256] No more mirrors to try.
  opendistro-sql-0.10.0.0-1.noarch: [Errno 256] No more mirrors to try.
  opendistroforelasticsearch-0.10.0-1.noarch: [Errno 256] No more mirrors to try.
  opendistro-performance-analyzer-0.10.0.0-1.noarch: [Errno 256] No more mirrors to try.
  opendistro-alerting-0.10.0.0-1.noarch: [Errno 256] No more mirrors to try.

", "rc": 1, "results": ["Loaded plugins: extras_suggestions, langpacks, priorities, update-motd
Resolving Dependencies
--> Running transaction check
---> Package opendistroforelasticsearch.noarch 0:0.10.0-1 will be installed
--> Processing Dependency: elasticsearch-oss = 6.8.1 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-sql < 0.10.1 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-security < 0.10.1 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer < 0.10.1 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-alerting < 0.10.1 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-sql >= 0.10.0 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-security >= 0.10.0 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-performance-analyzer >= 0.10.0 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Processing Dependency: opendistro-alerting >= 0.10.0 for package: opendistroforelasticsearch-0.10.0-1.noarch
--> Running transaction check
---> Package elasticsearch-oss.noarch 0:6.8.1-1 will be installed
---> Package opendistro-alerting.noarch 0:0.10.0.0-1 will be installed
---> Package opendistro-performance-analyzer.noarch 0:0.10.0.0-1 will be installed
---> Package opendistro-security.noarch 0:0.10.0.0-0 will be installed
---> Package opendistro-sql.noarch 0:0.10.0.0-1 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package        Arch   Version  Repository                                 Size
================================================================================
Installing:
 opendistroforelasticsearch
                noarch 0.10.0-1 opendistroforelasticsearch-artifacts-repo 2.8 k
Installing for dependencies:
 elasticsearch-oss
                noarch 6.8.1-1  elasticsearch-6.x-oss                      65 M
 opendistro-alerting
                noarch 0.10.0.0-1
                                opendistroforelasticsearch-artifacts-repo 2.9 M
 opendistro-performance-analyzer
                noarch 0.10.0.0-1
                                opendistroforelasticsearch-artifacts-repo  11 M
 opendistro-security
                noarch 0.10.0.0-0
                                opendistroforelasticsearch-artifacts-repo  26 M
 opendistro-sql noarch 0.10.0.0-1
                                opendistroforelasticsearch-artifacts-repo 5.9 M

Transaction Summary
================================================================================
Install  1 Package (+5 Dependent packages)

Total download size: 111 M
Installed size: 154 M
Downloading packages:
"]}

We are using our own ansible roles to automate the installation where the relevant tasks are:

- name: register the Elastic yum repo
  yum_repository:
    name: elasticsearch-6.x-oss
    description: Elasticsearch repository for oss 6.x packages
    baseurl: https://artifacts.elastic.co/packages/oss-6.x/yum
    gpgcheck: yes
    gpgkey: https://artifacts.elastic.co/GPG-KEY-elasticsearch
    enabled: yes
  become: yes

- name: register the Opendistro repo
  yum_repository:
    name: opendistroforelasticsearch-artifacts-repo
    description: Release RPM artifacts of OpenDistroForElasticsearch
    baseurl: https://d3g5vo6xdbdb9a.cloudfront.net/yum/noarch/
    gpgcheck: yes
    gpgkey: https://d3g5vo6xdbdb9a.cloudfront.net/GPG-KEY-opendistroforelasticsearch
    enabled: yes
  become: yes

- name: install opendistro elasticsearch
  package:
    name: "opendistroforelasticsearch-{{ opendistro_version }}"
    state: present
  become: yes

the opendistro_version variable is set to: 0.10.0

Have the mirrors for this version changed?

Adding

- name: clean yum metadata
  command: yum --enablerepo=opendistroforelasticsearch-artifacts-repo clean metadata
  become: yes

beofre opendistro installation fixed the issue